Bug 1285730 - Tier: Hard link created during file promotion is lost once the migration is complete
Tier: Hard link created during file promotion is lost once the migration is c...
Status: ON_QA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Lambright
krishnaram Karthick
tier-migration
: ZStream
Depends On: 1282710
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 06:00 EST by Nithya Balachandran
Modified: 2017-06-28 05:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.7.5-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1282710
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nithya Balachandran 2015-11-26 06:00:03 EST
+++ This bug was initially created as a clone of Bug #1282710 +++

Description of problem:

A hard link created when a file is being promoted will be lost once the file migration is complete.

Version-Release number of selected component (if applicable):


How reproducible:

Consistently

Steps to Reproduce:
1. Create a tier volume and FUSE mount it.
2. Create a large file FILE1 so it will take some time to migrate. This is created on the hot tier by default
3. After FILE1 is demoted, append some data to it to trigger file promotion
4. While FILE1 is being promoted, create a hardlink hlink to FILE1 in some other directory


Actual results:
Once FILE1 has been migrated, hlink no longer exists

Expected results:
Once FILE1 has been migrated, hlink should still exist

Additional info:

--- Additional comment from Vijay Bellur on 2015-11-17 10:03:56 EST ---

REVIEW: http://review.gluster.org/12600 (WIP cluster/tier : hardlink creation fails) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.